PDA

View Full Version : [CLOSED] my project with ext 2.5.3 does not built



cottimucin
Nov 05, 2014, 8:26 AM
I import dlls to my Project for framework 4.0

but I get error this

"Warning 3858 The primary reference "Ext.Net, Version=2.5.3.31229, Culture=neutral, PublicKeyToken=2e12ce3d0176cd87, processorArchitecture=MSIL" could not be resolved because it has an indirect dependency on the assembly "Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed" which was built against the ".NETFramework,Version=v4.5" framework. This is a higher version than the currently targeted framework ".NETFramework,Version=v4.0". ogrenci
"
and

"Warning 3857 The primary reference "Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL" could not be resolved because it was built against the ".NETFramework,Version=v4.5" framework. This is a higher version than the currently targeted framework ".NETFramework,Version=v4.0". ogrenci
"
my web config is



<?xml version="1.0"?>
<configuration>
<configSections>
<!-- Add "extnet" configuration section to Web.config -->
<section name="extnet" type="Ext.Net.GlobalConfig" requirePermission="false"/>
</configSections>
<!-- Add "licenseKey" config -->
<extnet licenseKey="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"/>
<!--************************************************** **********-->

<!--************************************************** **********-->
<system.web>
<sessionState timeout="20"/>
<httpHandlers>
<remove verb="*" path="*.asmx"/>
<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" validate="false"/>
<add verb="*" path="*/ext.axd" type="Ext.Net.ResourceHandler" validate="false"/>
</httpHandlers>
<httpModules>
<add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add name="DirectRequestModule" type="Ext.Net.DirectRequestModule, Ext.Net"/>
</httpModules>
<!--************************************************** **********-->
<authentication mode="Forms">
<forms name="YetkiFormAd" loginUrl="login.aspx" defaultUrl="Default.aspx" path="/" protection="All" slidingExpiration="true" timeout="20"/>
</authentication>
<!--************************************************** **********-->
<pages>
<controls>
<add assembly="Ext.Net" namespace="Ext.Net" tagPrefix="ext"/>
</controls>
</pages>
<compilation debug="true" defaultLanguage="c#">
<assemblies>
<add assembly="System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
<add assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add assembly="System.Data.DataSetExtensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
<add assembly="System.Xml.Linq, Version=3.5.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
<add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
<add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add assembly="System.Web.Extensions.Design, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
</assemblies>
</compilation>
<customErrors mode="Off"/>
</system.web>
<!--************************************************** **********-->
<location path="Anamenu.aspx">
<system.web>
<authorization>
<deny users="?"/>
</authorization>
</system.web>
</location>
<!--************************************************** **********-->
<system.codedom>
<compilers>
<compiler language="c#;cs;csharp" extension=".cs" warningLevel="4" type="Microsoft.CSharp.CSharpCodeProvider, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
<providerOption name="CompilerVersion" value="v3.5"/>
<providerOption name="WarnAsError" value="false"/>
</compiler>
<compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" warningLevel="4" type="Microsoft.VisualBasic.VBCodeProvider, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
<providerOption name="CompilerVersion" value="v3.5"/>
<providerOption name="OptionInfer" value="true"/>
<providerOption name="WarnAsError" value="false"/>
</compiler>
</compilers>
</system.codedom>
<system.webServer>
<validation validateIntegratedModeConfiguration="false"/>
<modules>
<remove name="ScriptModule"/>
<add name="ScriptModule" preCondition="managedHandler" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add name="DirectRequestModule" preCondition="managedHandler" type="Ext.Net.DirectRequestModule, Ext.Net"/>
</modules>
<handlers>
<remove name="WebServiceHandlerFactory-Integrated"/>
<remove name="ScriptHandlerFactory"/>
<remove name="ScriptHandlerFactoryAppServices"/>
<remove name="ScriptResource"/>
<add name="ScriptHandlerFactory" verb="*" path="*.asmx" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add name="ScriptHandlerFactoryAppServices" verb="*" path="*_AppService.axd" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add name="ScriptResource" preCondition="integratedMode" verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
<add name="DirectRequestHandler" verb="*" path="*/ext.axd" preCondition="integratedMode" type="Ext.Net.ResourceHandler"/>
</handlers>
<defaultDocument>
<files>
<clear/>
<add value="Default.aspx"/>
</files>
</defaultDocument>
</system.webServer>
<runtime>
<assemblyBinding appliesTo="v2.0.50727" xmlns="urn:schemas-microsoft-com:asm.v1">

<dependentAssembly>
<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" />
<bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
</dependentAssembly>
<dependentAssembly>
<assemblyIdentity name="Ext.Net.Utilities" publicKeyToken="2c34ac34702a3c23" />
<bindingRedirect oldVersion="0.0.0.0-2.5.0" newVersion="2.5.0" />
</dependentAssembly>
<dependentAssembly>
<assemblyIdentity name="Transformer.NET" publicKeyToken="e274d618e7c603a7" />
<bindingRedirect oldVersion="0.0.0.0-2.1.0" newVersion="2.1.1" />
</dependentAssembly>

<dependentAssembly>
<assemblyIdentity name="System.Web.Extensions" publicKeyToken="31bf3856ad364e35"/>
<bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
</dependentAssembly>
<dependentAssembly>
<assemblyIdentity name="System.Web.Extensions.Design" publicKeyToken="31bf3856ad364e35"/>
<bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
</dependentAssembly>
</assemblyBinding>
</runtime>
</configuration>

Vladimir
Nov 05, 2014, 8:44 AM
Hi

Where did you get 2.5.3? Nuget, download page or build yourself using a code from SVN? Please post exact location

cottimucin
Nov 05, 2014, 9:08 AM
I get 2.5.3 from http://ext.net/download/

Vladimir
Nov 05, 2014, 9:49 AM
What exactly version did you download? MVC or WebForm?
And what exactly file from downloaded archive did you use?

Just MVC version has MVC3, MVC4 and MVC 5 subfolders (and each subfolder has other subfolders)
WebFormk has subfolders also

We need to know what exactly assembly did you use

cottimucin
Nov 05, 2014, 9:53 AM
I get ext.net webform 2.5.3 from your download page

16021

Daniil
Nov 05, 2014, 1:51 PM
Has this file been downloaded for you - Ext.NET.WebForms.Pro.2.5.3.Examples.Explorer.zip?

I just tested it and I cannot reproduce the problem.

The steps of testing.

1. VS 2012

2. Created an empty Web application project targeted to .NET 4.0.

3. Added Ext.Net, Ext.Net.Utilities, Newtonsoft.Json and Transformer.NET references from this folder:

Ext.NET.WebForms.Pro.2.5.3.Examples.Explorer\lib\n et40


4. Used your or Sample Web.config (http://examples2.ext.net/#/Getting_Started/Release_Documents/Sample_Web.config/) (I tried with both)

5. Used this page.


<%@ Page Language="C#" %>

<!DOCTYPE html>

<html>
<head runat="server">
<title>Ext.Net v2 example</title>
</head>
<body>
<form runat="server">
<ext:ResourceManager runat="server" />

<ext:Label runat="server" Text="Hello!" />
</form>
</body>
</html>


6. The project runs flawlessly for me. No compile and run-time errors.

cottimucin
Nov 05, 2014, 2:45 PM
I use visual studio 2010 and framework 4.0

I do all what you said

but I get this error

indirect dependency on the assembly "Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed" which was built against the ".NETFramework,Version=v4.5

I think you put the Newtonsoft.Json.dll for net4.5 into 'Ext.NET.WebForms.Pro.2.5.3.Examples.Explorer\lib\ net40'

Daniil
Nov 05, 2014, 2:58 PM
It runs OK for me with VS 2010 as well.

When did you download the dlls? Maybe, they were updated since that. Could you download again and retest?

If the issue persists, please follow 7. C) here:
Forum Guidelines For Posting New Topics (http://forums.ext.net/showthread.php?3440)

The Ext.NET dlls (all four) should be in a zip.

Daniil
Nov 05, 2014, 3:09 PM
I think you put the Newtonsoft.Json.dll for net4.5 into 'Ext.NET.WebForms.Pro.2.5.3.Examples.Explorer\lib\ net40'

It is .NET 4.0 for me.

1. Please right click Newtonsoft.Json.dll in Windows Explorer
2. Chose Properties in the context menu
3. Click the Details tab
4. See "File description"

There is "Json.NET .NET 4.0" for me. What is for you? If something different, please re-download the Ext.NET package.

cottimucin
Nov 06, 2014, 6:42 AM
I install ext.net 2.5.3 and then I get Newtonsoft.Json.dll for 4.0
my Project is build now

thank you for everyting.

I think yesterday thre was a problem Newtonsoft.Json.dll for 4.0

but now it is ok.